require 'spec_helper'

describe 'forward_mail' do
  let(:title) { 'tyrion' }
  let(:params) do
    {
      :contact => 'admin@school.edu',
    }
  end

  it 'adds .forward file' do
    should contain_file('/home/tyrion/.forward').with(
      :content => 'admin@school.edu'
    )
  end

  it 'figures out if forwarding for root' do
    params[:user] = 'root'

    should contain_file('/root/.forward')
  end

  it 'allows overriding home completely' do
    params[:home] = '/var/lib/service_user'

    should contain_file('/var/lib/service_user/.forward')
  end
end
